aboutsummaryrefslogtreecommitdiffstats
path: root/main/lensfun/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-11-23 10:36:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-23 10:47:15 +0000
commit75590761e7f6cb24c571c407a872c3d502948505 (patch)
tree4dc893b45de7d386cb2892e93a55355afec95650 /main/lensfun/APKBUILD
parent5aad2bc9198f9d39dba11c780772f8a0f17dad0a (diff)
downloadaports-75590761e7f6cb24c571c407a872c3d502948505.tar.bz2
aports-75590761e7f6cb24c571c407a872c3d502948505.tar.xz
main/lensfun: fix build on arm
disable sse/sse2
Diffstat (limited to 'main/lensfun/APKBUILD')
-rw-r--r--main/lensfun/APKBUILD8
1 files changed, 7 insertions, 1 deletions
diff --git a/main/lensfun/APKBUILD b/main/lensfun/APKBUILD
index f71ef95973..7ef8a8c06e 100644
--- a/main/lensfun/APKBUILD
+++ b/main/lensfun/APKBUILD
@@ -27,10 +27,16 @@ prepare() {
build() {
cd "$_builddir"
+ local opts=
+ case "$CARCH" in
+ arm*) opts="-DBUILD_FOR_SSE=OFF -DBUILD_FOR_SSE2=OFF";;
+ esac
cmake \
-DCMAKE_BUILD_TYPE=Release \
-DBUILD_DOC=On \
- -DLENSFUN_INSTALL_PREFIX=/usr || return 1
+ -DLENSFUN_INSTALL_PREFIX=/usr \
+ $opts \
+ || return 1
make all || return 1
}